
{******************************************************************************}
{                                                                              }
{                              XML f[^oCfBO                        }
{                                                                              }
{******************************************************************************}

unit ZipAddress;

interface

uses xmldom, XMLDoc, XMLIntf;

type

{ O錾 }

  IXMLGroovewebserviceType = interface;
  IXMLAddressType = interface;
  IXMLAddressTypeList = interface;
  IXMLOfficeType = interface;
  IXMLOfficeTypeList = interface;

{ IXMLGroovewebserviceType }

  IXMLGroovewebserviceType = interface(IXMLNode)
    ['{9CA3F6DB-671D-497E-B8E1-E622A1EFFC46}']
    { vpeBQƊ֐ }
    function Get_Version: UnicodeString;
    function Get_Datetime: UnicodeString;
    function Get_Address: IXMLAddressTypeList;
    function Get_Office: IXMLOfficeTypeList;
    procedure Set_Version(Value: UnicodeString);
    procedure Set_Datetime(Value: UnicodeString);
    { \bhƃvpeB }
    property Version: UnicodeString read Get_Version write Set_Version;
    property Datetime: UnicodeString read Get_Datetime write Set_Datetime;
    property Address: IXMLAddressTypeList read Get_Address;
    property Office: IXMLOfficeTypeList read Get_Office;
  end;

{ IXMLAddressType }

  IXMLAddressType = interface(IXMLNode)
    ['{340C6C3D-A1AF-47EF-BAF3-6E2FD327105F}']
    { vpeBQƊ֐ }
    function Get_Zipcode: Integer;
    function Get_Prefecture: UnicodeString;
    function Get_City: UnicodeString;
    function Get_Town: UnicodeString;
    function Get_Prefecture_yomi: UnicodeString;
    function Get_City_yomi: UnicodeString;
    function Get_Town_yomi: UnicodeString;
    procedure Set_Zipcode(Value: Integer);
    procedure Set_Prefecture(Value: UnicodeString);
    procedure Set_City(Value: UnicodeString);
    procedure Set_Town(Value: UnicodeString);
    procedure Set_Prefecture_yomi(Value: UnicodeString);
    procedure Set_City_yomi(Value: UnicodeString);
    procedure Set_Town_yomi(Value: UnicodeString);
    { \bhƃvpeB }
    property Zipcode: Integer read Get_Zipcode write Set_Zipcode;
    property Prefecture: UnicodeString read Get_Prefecture write Set_Prefecture;
    property City: UnicodeString read Get_City write Set_City;
    property Town: UnicodeString read Get_Town write Set_Town;
    property Prefecture_yomi: UnicodeString read Get_Prefecture_yomi write Set_Prefecture_yomi;
    property City_yomi: UnicodeString read Get_City_yomi write Set_City_yomi;
    property Town_yomi: UnicodeString read Get_Town_yomi write Set_Town_yomi;
  end;

{ IXMLAddressTypeList }

  IXMLAddressTypeList = interface(IXMLNodeCollection)
    ['{C8A1BDBC-AA04-4ECB-95E8-974F73524B3A}']
    { \bhƃvpeB }
    function Add: IXMLAddressType;
    function Insert(const Index: Integer): IXMLAddressType;

    function Get_Item(Index: Integer): IXMLAddressType;
    property Items[Index: Integer]: IXMLAddressType read Get_Item; default;
  end;

{ IXMLOfficeType }

  IXMLOfficeType = interface(IXMLNode)
    ['{5A0B85E3-37BB-4C5F-B0D8-1169B653D7D3}']
    { vpeBQƊ֐ }
    function Get_Zipcode: Integer;
    function Get_Prefecture: UnicodeString;
    function Get_City: UnicodeString;
    function Get_Town: UnicodeString;
    function Get_Street: UnicodeString;
    function Get_Office_name: UnicodeString;
    function Get_Office_name_yomi: UnicodeString;
    procedure Set_Zipcode(Value: Integer);
    procedure Set_Prefecture(Value: UnicodeString);
    procedure Set_City(Value: UnicodeString);
    procedure Set_Town(Value: UnicodeString);
    procedure Set_Street(Value: UnicodeString);
    procedure Set_Office_name(Value: UnicodeString);
    procedure Set_Office_name_yomi(Value: UnicodeString);
    { \bhƃvpeB }
    property Zipcode: Integer read Get_Zipcode write Set_Zipcode;
    property Prefecture: UnicodeString read Get_Prefecture write Set_Prefecture;
    property City: UnicodeString read Get_City write Set_City;
    property Town: UnicodeString read Get_Town write Set_Town;
    property Street: UnicodeString read Get_Street write Set_Street;
    property Office_name: UnicodeString read Get_Office_name write Set_Office_name;
    property Office_name_yomi: UnicodeString read Get_Office_name_yomi write Set_Office_name_yomi;
  end;

{ IXMLOfficeTypeList }

  IXMLOfficeTypeList = interface(IXMLNodeCollection)
    ['{72D3F88F-F77A-4C7E-A30E-C2AFADC6E089}']
    { \bhƃvpeB }
    function Add: IXMLOfficeType;
    function Insert(const Index: Integer): IXMLOfficeType;

    function Get_Item(Index: Integer): IXMLOfficeType;
    property Items[Index: Integer]: IXMLOfficeType read Get_Item; default;
  end;

{ O錾 }

  TXMLGroovewebserviceType = class;
  TXMLAddressType = class;
  TXMLAddressTypeList = class;
  TXMLOfficeType = class;
  TXMLOfficeTypeList = class;

{ TXMLGroovewebserviceType }

  TXMLGroovewebserviceType = class(TXMLNode, IXMLGroovewebserviceType)
  private
    FAddress: IXMLAddressTypeList;
    FOffice: IXMLOfficeTypeList;
  protected
    { IXMLGroovewebserviceType }
    function Get_Version: UnicodeString;
    function Get_Datetime: UnicodeString;
    function Get_Address: IXMLAddressTypeList;
    function Get_Office: IXMLOfficeTypeList;
    procedure Set_Version(Value: UnicodeString);
    procedure Set_Datetime(Value: UnicodeString);
  public
    procedure AfterConstruction; override;
  end;

{ TXMLAddressType }

  TXMLAddressType = class(TXMLNode, IXMLAddressType)
  protected
    { IXMLAddressType }
    function Get_Zipcode: Integer;
    function Get_Prefecture: UnicodeString;
    function Get_City: UnicodeString;
    function Get_Town: UnicodeString;
    function Get_Prefecture_yomi: UnicodeString;
    function Get_City_yomi: UnicodeString;
    function Get_Town_yomi: UnicodeString;
    procedure Set_Zipcode(Value: Integer);
    procedure Set_Prefecture(Value: UnicodeString);
    procedure Set_City(Value: UnicodeString);
    procedure Set_Town(Value: UnicodeString);
    procedure Set_Prefecture_yomi(Value: UnicodeString);
    procedure Set_City_yomi(Value: UnicodeString);
    procedure Set_Town_yomi(Value: UnicodeString);
  end;

{ TXMLAddressTypeList }

  TXMLAddressTypeList = class(TXMLNodeCollection, IXMLAddressTypeList)
  protected
    { IXMLAddressTypeList }
    function Add: IXMLAddressType;
    function Insert(const Index: Integer): IXMLAddressType;

    function Get_Item(Index: Integer): IXMLAddressType;
  end;

{ TXMLOfficeType }

  TXMLOfficeType = class(TXMLNode, IXMLOfficeType)
  protected
    { IXMLOfficeType }
    function Get_Zipcode: Integer;
    function Get_Prefecture: UnicodeString;
    function Get_City: UnicodeString;
    function Get_Town: UnicodeString;
    function Get_Street: UnicodeString;
    function Get_Office_name: UnicodeString;
    function Get_Office_name_yomi: UnicodeString;
    procedure Set_Zipcode(Value: Integer);
    procedure Set_Prefecture(Value: UnicodeString);
    procedure Set_City(Value: UnicodeString);
    procedure Set_Town(Value: UnicodeString);
    procedure Set_Street(Value: UnicodeString);
    procedure Set_Office_name(Value: UnicodeString);
    procedure Set_Office_name_yomi(Value: UnicodeString);
  end;

{ TXMLOfficeTypeList }

  TXMLOfficeTypeList = class(TXMLNodeCollection, IXMLOfficeTypeList)
  protected
    { IXMLOfficeTypeList }
    function Add: IXMLOfficeType;
    function Insert(const Index: Integer): IXMLOfficeType;

    function Get_Item(Index: Integer): IXMLOfficeType;
  end;

{ O[o֐ }

function Getgroovewebservice(Doc: IXMLDocument): IXMLGroovewebserviceType;
function Loadgroovewebservice(const FileName: string): IXMLGroovewebserviceType;
function Newgroovewebservice: IXMLGroovewebserviceType;

const
  TargetNamespace = '';

implementation

{ O[o֐ }

function Getgroovewebservice(Doc: IXMLDocument): IXMLGroovewebserviceType;
begin
  Result := Doc.GetDocBinding('groovewebservice', TXMLGroovewebserviceType, TargetNamespace) as IXMLGroovewebserviceType;
end;

function Loadgroovewebservice(const FileName: string): IXMLGroovewebserviceType;
begin
  Result := LoadXMLDocument(FileName).GetDocBinding('groovewebservice', TXMLGroovewebserviceType, TargetNamespace) as IXMLGroovewebserviceType;
end;

function Newgroovewebservice: IXMLGroovewebserviceType;
begin
  Result := NewXMLDocument.GetDocBinding('groovewebservice', TXMLGroovewebserviceType, TargetNamespace) as IXMLGroovewebserviceType;
end;

{ TXMLGroovewebserviceType }

procedure TXMLGroovewebserviceType.AfterConstruction;
begin
  RegisterChildNode('address', TXMLAddressType);
  RegisterChildNode('office', TXMLOfficeType);
  FAddress := CreateCollection(TXMLAddressTypeList, IXMLAddressType, 'address') as IXMLAddressTypeList;
  FOffice := CreateCollection(TXMLOfficeTypeList, IXMLOfficeType, 'office') as IXMLOfficeTypeList;
  inherited;
end;

function TXMLGroovewebserviceType.Get_Version: UnicodeString;
begin
  Result := AttributeNodes['version'].Text;
end;

procedure TXMLGroovewebserviceType.Set_Version(Value: UnicodeString);
begin
  SetAttribute('version', Value);
end;

function TXMLGroovewebserviceType.Get_Datetime: UnicodeString;
begin
  Result := AttributeNodes['datetime'].Text;
end;

procedure TXMLGroovewebserviceType.Set_Datetime(Value: UnicodeString);
begin
  SetAttribute('datetime', Value);
end;

function TXMLGroovewebserviceType.Get_Address: IXMLAddressTypeList;
begin
  Result := FAddress;
end;

function TXMLGroovewebserviceType.Get_Office: IXMLOfficeTypeList;
begin
  Result := FOffice;
end;

{ TXMLAddressType }

function TXMLAddressType.Get_Zipcode: Integer;
begin
  Result := ChildNodes['zipcode'].NodeValue;
end;

procedure TXMLAddressType.Set_Zipcode(Value: Integer);
begin
  ChildNodes['zipcode'].NodeValue := Value;
end;

function TXMLAddressType.Get_Prefecture: UnicodeString;
begin
  Result := ChildNodes['prefecture'].Text;
end;

procedure TXMLAddressType.Set_Prefecture(Value: UnicodeString);
begin
  ChildNodes['prefecture'].NodeValue := Value;
end;

function TXMLAddressType.Get_City: UnicodeString;
begin
  Result := ChildNodes['city'].Text;
end;

procedure TXMLAddressType.Set_City(Value: UnicodeString);
begin
  ChildNodes['city'].NodeValue := Value;
end;

function TXMLAddressType.Get_Town: UnicodeString;
begin
  Result := ChildNodes['town'].Text;
end;

procedure TXMLAddressType.Set_Town(Value: UnicodeString);
begin
  ChildNodes['town'].NodeValue := Value;
end;

function TXMLAddressType.Get_Prefecture_yomi: UnicodeString;
begin
  Result := ChildNodes['prefecture_yomi'].Text;
end;

procedure TXMLAddressType.Set_Prefecture_yomi(Value: UnicodeString);
begin
  ChildNodes['prefecture_yomi'].NodeValue := Value;
end;

function TXMLAddressType.Get_City_yomi: UnicodeString;
begin
  Result := ChildNodes['city_yomi'].Text;
end;

procedure TXMLAddressType.Set_City_yomi(Value: UnicodeString);
begin
  ChildNodes['city_yomi'].NodeValue := Value;
end;

function TXMLAddressType.Get_Town_yomi: UnicodeString;
begin
  Result := ChildNodes['town_yomi'].Text;
end;

procedure TXMLAddressType.Set_Town_yomi(Value: UnicodeString);
begin
  ChildNodes['town_yomi'].NodeValue := Value;
end;

{ TXMLAddressTypeList }

function TXMLAddressTypeList.Add: IXMLAddressType;
begin
  Result := AddItem(-1) as IXMLAddressType;
end;

function TXMLAddressTypeList.Insert(const Index: Integer): IXMLAddressType;
begin
  Result := AddItem(Index) as IXMLAddressType;
end;

function TXMLAddressTypeList.Get_Item(Index: Integer): IXMLAddressType;
begin
  Result := List[Index] as IXMLAddressType;
end;

{ TXMLOfficeType }

function TXMLOfficeType.Get_Zipcode: Integer;
begin
  Result := ChildNodes['zipcode'].NodeValue;
end;

procedure TXMLOfficeType.Set_Zipcode(Value: Integer);
begin
  ChildNodes['zipcode'].NodeValue := Value;
end;

function TXMLOfficeType.Get_Prefecture: UnicodeString;
begin
  Result := ChildNodes['prefecture'].Text;
end;

procedure TXMLOfficeType.Set_Prefecture(Value: UnicodeString);
begin
  ChildNodes['prefecture'].NodeValue := Value;
end;

function TXMLOfficeType.Get_City: UnicodeString;
begin
  Result := ChildNodes['city'].Text;
end;

procedure TXMLOfficeType.Set_City(Value: UnicodeString);
begin
  ChildNodes['city'].NodeValue := Value;
end;

function TXMLOfficeType.Get_Town: UnicodeString;
begin
  Result := ChildNodes['town'].Text;
end;

procedure TXMLOfficeType.Set_Town(Value: UnicodeString);
begin
  ChildNodes['town'].NodeValue := Value;
end;

function TXMLOfficeType.Get_Street: UnicodeString;
begin
  Result := ChildNodes['street'].Text;
end;

procedure TXMLOfficeType.Set_Street(Value: UnicodeString);
begin
  ChildNodes['street'].NodeValue := Value;
end;

function TXMLOfficeType.Get_Office_name: UnicodeString;
begin
  Result := ChildNodes['office_name'].Text;
end;

procedure TXMLOfficeType.Set_Office_name(Value: UnicodeString);
begin
  ChildNodes['office_name'].NodeValue := Value;
end;

function TXMLOfficeType.Get_Office_name_yomi: UnicodeString;
begin
  Result := ChildNodes['office_name_yomi'].Text;
end;

procedure TXMLOfficeType.Set_Office_name_yomi(Value: UnicodeString);
begin
  ChildNodes['office_name_yomi'].NodeValue := Value;
end;

{ TXMLOfficeTypeList }

function TXMLOfficeTypeList.Add: IXMLOfficeType;
begin
  Result := AddItem(-1) as IXMLOfficeType;
end;

function TXMLOfficeTypeList.Insert(const Index: Integer): IXMLOfficeType;
begin
  Result := AddItem(Index) as IXMLOfficeType;
end;

function TXMLOfficeTypeList.Get_Item(Index: Integer): IXMLOfficeType;
begin
  Result := List[Index] as IXMLOfficeType;
end;

end.
